routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\App;
use Barryvdh\DomPDF\Facade\PDF;
use App\Http\Controllers\ClienteController;
use App\Http\Controllers\ProductoController;
use App\Http\Controllers\BoletaController;
use App\Http\Controllers\AlumnoMateriaController;
use App\Http\Controllers\ImprimirController;
use App\Http\Controllers\ImprimirPdfController;

use App\Models\Boleta;
use App\Models\Cliente;
use App\Models\Producto;
// use App\Models\Boleta;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/sistema_cotizaciones',function(){
    return view('sistema_cotizaciones.clientes.index');
});

Route::get('/administracion',function(){
    return view('sistema_cotizaciones.administracion.index');
})->name('administracion');

Route::get('/crear_usuario',function(){
    return view('sistema_cotizaciones.clientes.create');
})->name('crear_usuario');

Route::get('/boletas',function(){
$boletas = Boleta::all();
// return $boletas;
return view('boletas',compact('boletas'));
});

Route::get('/clientes',function(){
    $clientes = Cliente::all();
    return $clientes;
});

 Route::resource('/clientes',ClienteController::class);

 Route::resource('/productos',ProductoController::class);

 Route::resource('/cotizaciones',BoletaController::class);
//

Route::resource('/alumno_materia',AlumnoMateriaController::class);


Route::get("imprimir_pdf", function (Request $request) {
    $dompdf = App::make("dompdf.wrapper");
    $dompdf->loadView("ejemplo", [
        "nombre" => "Luis Cabrera Benito",
    ]);
    // return $dompdf->stream();
    // return $dompdf->download("mi_archivo.pdf");//Descargar
    $dompdf->save("archivos_pdf/mi_archivo.pdf"); //guardar en carpeta public
    return "PDF guardado";//redirect o save
    // combinadolos
    // return PDF::loadFile(public_path().'/myfile.html')->save('/path-to/my_stored_file.pdf')->stream('download.pdf');
});

// Route::get('/imprimir', GeneradorController::class)-name('print');

Route::get('/pdf',function(){

    $today = "1982";
    $pdf = PDF::loadView('ejemplo2', compact('today'));
    // return $pdf->download('ejemplo2.pdf');
    return $pdf->stream('ejemplo2.pdf');

    // $pdf = PDF::loadView('pdf.invoice', $data);
    // return $pdf->download('invoice.pdf');
});

Route::resource('/imprimir_cotizacion',ImprimirController::class);

Route::get('/mostrarPdf',function(){
$pdf = new ImprimirPdfController();
return $pdf->mostrarPdf($id = 3);
})->name('mostrarPdf');

app/Models/Cliente.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cliente extends Model
{
    use HasFactory;
    public $timestamps = false;

    protected $fillable = ['nombres','apellido_paterno','apellido_materno','tipo_cliente','estado'];
}

app/Http/Controllers/ClienteController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Cliente;

class ClienteController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $clientes = Cliente::all();
        return view('sistema_cotizaciones.clientes.index',compact('clientes'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('sistema_cotizaciones.clientes.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        Cliente::create($request->all());
        return redirect()->route('clientes.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $cliente = Cliente::find($id);
        return view('sistema_cotizaciones.clientes.edit',compact('cliente'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        Cliente::find($id)->update($request->all());
        return redirect()->route('clientes.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        // Cliente::find($id)->delete();
        // return redirect()->route('clientes.index');
     $cliente = Cliente::find($id);

     if($cliente->estado == 0){
         $status = 1;
        //  return 'Esta Deshabilitado';
     }elseif($cliente->estado == 1){
        // return 'Esta Habilitado';
        $status = 0;
     }
    //  return $cliente->estado;
    $cliente->update(['estado'=>$status]);
    return redirect()->route('clientes.index');
    }
}

resources/views/sistema_cotizaciones/clientes/create.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container-fluid" style="border:1px solid #ccc;height:auto;">
    <h1>Crear Cliente</h1>
    <hr>

<form method="POST" action="{{ route('clientes.store') }}"  role="form">
{{ csrf_field() }}

    <div class="row">
            <div class="col col-lg-6">
                <label for="rut"><b>Rut:</b></label>
                <input type="text" class="form form-control" name="rut" placeholder="Rut sin puntos ni guión - Ej. 12345678K"/>
            </div>
            <div class="col col-lg-6">
                <label for="tipo_cliente"><b>Tipo Cliente:</b></label>
                <select name="tipo_cliente" class="form form-control">
                    <option value="1">1 - Particular</option>
                    <option value="2">2 - Empresa</option>
                </select>
            </div>
    </div>

    <br>

    <div class="row">
        <div class="col col-lg-6">
            <label for="nombres"><b>Nombres:</b></label>
            <input type="text" class="form form-control" name="nombres" placeholder="Nombres"/>
        </div>
        <!-- <div class="col col-lg-6"> -->
            <!-- <label for="rut"><b>Rut:</b></label> -->
            <!-- <input type="text" class="form form-control" name="rut" placeholder="Rut sin puntos ni guión"/> -->
        <!-- </div> -->
    </div>
<br>
    <div class="row">
        <div class="col col-lg-6">
            <label for="apellido_paterno"><b>Apellido Paterno:</b></label>
            <input type="text" class="form form-control" name="apellido_paterno" placeholder="Apelllido Paterno"/>
        </div>
        <!-- <div class="col col-lg-6"> -->
            <!-- <label for="apellido_materno"><b>Apellido Materno:</b></label> -->
            <!-- <input type="text" class="form form-control" name="apellido_materno" placeholder="Apelllido Materno"/> -->
        <!-- </div> -->
    </div>
<br>
    <div class="row">
        <div class="col col-lg-6">
            <label for="apellido_materno"><b>Apellido Materno:</b></label>
            <input type="text" class="form form-control" name="apellido_materno" placeholder="Apelllido Materno"/>
        </div>
        <!-- <div class="col col-lg-6"> -->
            <!-- <label for="tipo_cliente"><b>Tipo Cliente:</b></label> -->
            <!-- <select name="tipo_cliente" class="form form-control"> -->
                <!-- <option value="1">1 - Particular</option> -->
                <!-- <option value="2">2 - Empresa</option> -->
            <!-- </select> -->
        <!-- </div>     -->
        <!-- <div class="col col-lg-6"> -->
            <!-- <label for="estado"><b>Estado Cliente:</b></label> -->
            <!-- <select name="estado" class="form form-control"> -->
                <!-- <option value="1">1 - Habilitado</option> -->
                <!-- <option value="0">0 - DesHabilitado</option> -->
            <!-- </select> -->
        <!-- </div> -->
    </div>

    <br>
    <div class="row">
        <!-- <div class="col col-lg-6"> -->
            <!-- <label for="tipo_cliente"><b>Tipo Cliente:</b></label> -->
            <!-- <select name="tipo_cliente" class="form form-control"> -->
                <!-- <option value="1">1 - Particular</option> -->
                <!-- <option value="2">2 - Empresa</option> -->
            <!-- </select> -->
        <!-- </div>     -->
        <div class="col col-lg-6">
            <label for="estado"><b>Estado Cliente:</b></label>
            <select name="estado" class="form form-control">
                <option value="1">1 - Habilitado</option>
                <option value="0">0 - DesHabilitado</option>
            </select>
        </div>
    </div>


    <br>

    <div class="row">
        <input type="submit"  value="Guardar" class="btn btn-primary form-control"/>
        <!-- <button type="submit" class="btn btn-primary form-control">Enviar</button> -->
    </div>

    <br>

</form>
</div>
@endsection

resources/views/sistema_cotizaciones/clientes/edit.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container-fluid"style="border:solid 1px #aaa;height:550px;margin-top:5px;margin-left:-10px;">
<br>
    <h2>Editar Cliente</h2>
    <hr>

<form method="POST" action="{{ route('clientes.update',$cliente->id) }}"  role="form">
{{ csrf_field() }}
@method('PUT')
<div>
    <label for="nombres">Nombres:</label>
    <input type="text" class="form form-control" name="nombres" value="{{$cliente->nombres}}" placeholder="Nombres"/>
</div>
<br>
<div>
    <label for="apellido_paterno">Apellido Paterno:</label>
    <input type="text" class="form form-control" name="apellido_paterno" value="{{$cliente->apellido_paterno}}" placeholder="Apelllido Paterno"/>
</div>
<br>
<div>
    <label for="apellido_materno">Apellido Materno:</label>
    <input type="text" class="form form-control" name="apellido_materno" value="{{$cliente->apellido_materno}}" placeholder="Apelllido Materno"/>
</div>
<br>
<div>
    <label for="tipo_cliente">Tipo Cliente:</label>
    <select name="tipo_cliente" class="form form-control">
        <option value="1">1 - Particular</option>
        <option value="2">2 - Empresa</option>
    </select>
</div>
<br>

<div>
    <label for="estado">Estado Cliente:</label>
    <select name="estado" class="form form-control">
        @if($cliente->estado == 0)
            <option value="0">0 - DesHabilitado</option>
            <option value="1">1 - Habilitado</option>
        @elseif($cliente->estado == 1)
            <option value="1">1 - Habilitado</option>
            <option value="0">0 - DesHabilitado</option>
        @endif
    </select>
</div>
<br>

<div>
<input type="submit"  value="Guardar" class="btn btn-primary form-control"/>
    <!-- <button type="submit" class="btn btn-primary form-control">Enviar</button> -->
</div>

</form>
</div>
@endsection

resources/views/sistema_cotizaciones/clientes/index.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container-fluid bg-light" style="border:solid 1px #aaa;height:550px;margin-top:5px;margin-left:-10px;">
<br>
    <h2>Listado de Clientes</h2>
    <hr>
    <br>
    <table id="tblClientes" class="table table-hover table-striped text-center">
        <thead>
            <tr>
                <th>#</th>
                <th>NOMBBRES</th>
                <th>APELLIDO PATERNO</th>
                <th>APELLIDO MATERNO</th>
                <th>TIPO CLIENTE</th>
                <th>ESTADO</th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        @php
            $i = 0
        @endphp
    @foreach($clientes as $clie)
    <tr>
        <td>{{++$i}}</td>
        <td>{{$clie->nombres}}</td>
        <td>{{$clie->apellido_paterno}}</td>
        <td>{{$clie->apellido_materno}}</td>

        @if($clie->tipo_cliente == 1)
        <td>{{'Particular'}}</td>
        @elseif($clie->tipo_cliente == 2)
        <td>{{'Empresa'}}</td>
        @endif

        @if($clie->estado == 0)
        <td><p class="text-danger">{{'DesHabilitado'}}</p></td>
        @elseif($clie->estado == 1)
        <td><p class="text-success">{{'Habilitado'}}</p></td>
        @endif
        <td><a href="{{route('clientes.edit', $clie->id)}}" class="btn btn-warning text-light">Editar</a></td>
        <td>
            <form method="POST" action="{{route('clientes.destroy', $clie->id)}}" role="form">
                {{csrf_field()}}
                <input name="_method" type="hidden" value="DELETE">

                @if($clie->estado == 0)
                <button type="submit" class="btn btn-success text-light">{{'Habilitar'}}</button>
                @elseif($clie->estado == 1)
                <button type="submit" class="btn btn-danger text-light">{{'DesHabilitar'}} </button>
                 @endif

            </form>
        </td>
    </tr>
    @endforeach
</tbody>
    </table>

</div>
@endsection